[简体中文](./README_ZH.md) | English
# hpm-cli

> The HarmonyOS Package Manager command line interface.

## How to install it?

Install this globally and you'll have access to the hpm command anywhere on your system. The hpm-cli only support versions >=12.x of nodejs.

```sh
npm install -g @ohos/hpm-cli
```
## How to use it?
List all available commands using:
```sh
hpm help
```

## Update to the latest version
```sh
npm update -g @ohos/hpm-cli
```
## How to uninstall it?
```sh
npm rm -g @ohos/hpm-cli
```
## Configuration
The config file is located at ~/.hpm/hpmrc, List default configurations using:
```sh
hpm config
```
Set the configuration using:
```sh
hpm config set key value
```
The config file is as follows:
```properties
registry = https://hpm.harmonyos.com

### login Settings
# loginUser = invitation_code

#### Path Settings
# shellPath = C:\WINDOWS\System32\cmd.exe
# globalRepo = C:\Users\username\.hpm\global

#### Network Settings
# no_proxy = *.server.com
# http_proxy = http://user:pwd@proxy_server:port
# https_proxy = http://user:pwd@proxy_server:port
# strictSsl = true
```

## What's new

### 1.0.9
##### BUG FIXES

* Fix script 'install' still be invoked even the bundle is not installed in this time
* Fix extract file issue

##### FEATURES

* Support to add plugin
* Allow to change lang

### Before 1.0.9
##### BUG FIXES

* Request error caused by proxy.
* Optimized some exception messages.

##### FEATURES

* Allow passing parameters when executing hpm build/dist/run