"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Hooks = exports.BUILT_IN_OHOS_FOLDER = exports.SUSPEND_FOLDER = exports.DATA_OUTPUT_FOLDER = exports.NPM_PLUGIN_PREFIX = exports.UI_PLUGIN_PREFIX = exports.PLUGIN_PREFIX = exports.DEFAULT_INFO_LOG_DIR = exports.DEFAULT_DEBUG_LOG_DIR = exports.DEFAULT_GLOBAL_DIR = exports.DEFAULT_CONFIG_FILE = exports.DEFAULT_CONFIG_DIR = exports.NOTICE_NAME = exports.DEP_BUNDLE_BASE = exports.DEP_OHOS_BUNDLES = exports.BINARY_DEP_ENV = exports.DEP_FOLDER_NAME = void 0;

var _path = _interopRequireDefault(require("path"));

var _os = _interopRequireDefault(require("os"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var DEP_FOLDER_NAME = 'ohos_bundles';
exports.DEP_FOLDER_NAME = DEP_FOLDER_NAME;
var BINARY_DEP_ENV = 'HPM_SRC_DEPS_DIRS';
exports.BINARY_DEP_ENV = BINARY_DEP_ENV;
var DEP_OHOS_BUNDLES = 'DEP_OHOS_BUNDLES';
exports.DEP_OHOS_BUNDLES = DEP_OHOS_BUNDLES;
var DEP_BUNDLE_BASE = 'DEP_BUNDLE_BASE';
exports.DEP_BUNDLE_BASE = DEP_BUNDLE_BASE;
var NOTICE_NAME = 'Third Party Open Source Notice';
exports.NOTICE_NAME = NOTICE_NAME;

var DEFAULT_CONFIG_DIR = _path["default"].join(_os["default"].homedir(), '.hpm');

exports.DEFAULT_CONFIG_DIR = DEFAULT_CONFIG_DIR;

var DEFAULT_CONFIG_FILE = _path["default"].join(DEFAULT_CONFIG_DIR, 'hpmrc');

exports.DEFAULT_CONFIG_FILE = DEFAULT_CONFIG_FILE;

var DEFAULT_GLOBAL_DIR = _path["default"].join(DEFAULT_CONFIG_DIR, 'global');

exports.DEFAULT_GLOBAL_DIR = DEFAULT_GLOBAL_DIR;

var DEFAULT_DEBUG_LOG_DIR = _path["default"].join(DEFAULT_CONFIG_DIR, 'log', 'debug');

exports.DEFAULT_DEBUG_LOG_DIR = DEFAULT_DEBUG_LOG_DIR;

var DEFAULT_INFO_LOG_DIR = _path["default"].join(DEFAULT_CONFIG_DIR, 'log', 'info');

exports.DEFAULT_INFO_LOG_DIR = DEFAULT_INFO_LOG_DIR;
var PLUGIN_PREFIX = "hpm_cli_plugin_";
exports.PLUGIN_PREFIX = PLUGIN_PREFIX;
var UI_PLUGIN_PREFIX = "hpm_ui_addons_";
exports.UI_PLUGIN_PREFIX = UI_PLUGIN_PREFIX;
var NPM_PLUGIN_PREFIX = "hpm-cli-";
exports.NPM_PLUGIN_PREFIX = NPM_PLUGIN_PREFIX;
var DATA_OUTPUT_FOLDER = ".output";
exports.DATA_OUTPUT_FOLDER = DATA_OUTPUT_FOLDER;
var SUSPEND_FOLDER = ".suspend";
exports.SUSPEND_FOLDER = SUSPEND_FOLDER;
var BUILT_IN_OHOS_FOLDER = [DATA_OUTPUT_FOLDER, SUSPEND_FOLDER];
exports.BUILT_IN_OHOS_FOLDER = BUILT_IN_OHOS_FOLDER;
var Hooks = {
  preBuild: "pre_build",
  afterBuild: "after_build",
  preDist: "pre_dist",
  afterDist: "after_dist",
  preInstall: "pre_install",
  install: "install",
  afterInstall: "after_install",
  prePack: "pre_pack",
  pack: "pack",
  afterPack: "after_pack",
  prePublish: "pre_publish",
  publish: "publish",
  afterPublish: "after_publish",
  uninstall: "uninstall",
  preUninstall: "pre_uninstall",
  afterUninstall: "after_uninstall"
};
exports.Hooks = Hooks;