简体中文 | [English](./README.md)
# hpm-cli

> HarmonyOS 包管理器命令行工具


## 如何安装?

全局安装，可在系统任何地方访问。hpm-cli仅支持nodejs12.x及以上版本
```sh
npm install -g @ohos/hpm-cli
```

## 如何使用?

显示所有命令，执行：
```sh
hpm help
```

## 如何更新版本?

```sh
npm update -g @ohos/hpm-cli
```
## 如何卸载?

```sh
npm rm -g @ohos/hpm-cli
```
## 如何更改配置?
配置文件存放在~/.hpm/hpmrc, 显示默认配置，执行:
```sh
hpm config
```
设置配置，执行:
```sh
hpm config set key value
```
配置文件的内容如下所示:
```properties
registry = https://hpm.harmonyos.com

### 登录设置
# loginUser = invitation_code

#### 路径设置
# shellPath = C:\WINDOWS\System32\cmd.exe
# globalRepo = C:\Users\username\.hpm\global

#### 网络设置
# no_proxy = *.server.com
# http_proxy = http://account:pwd@proxy_server:port
# https_proxy = http://account:pwd@proxy_server:port
# strictSsl = true
```

## 最新动态

### 1.0.9
##### 修复问题

* 修复已经安装的组件的'install'脚本仍然会被调用的问题
* 修复解压文件的问题

##### 功能

* 支持插件
* 支持修改语言

### 1.0.9之前的版本
##### 修复问题

* 修复代理引起的请求错误
* 优化一些异常信息提示

##### 功能

* 执行hpm build/dist/run命令的时候，允许传递参数