"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getBundle = getBundle;

var _axios = _interopRequireDefault(require("./axios"));

var _helpers = require("./helpers");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function getBundle(_x, _x2) {
  return _getBundle.apply(this, arguments);
}

function _getBundle() {
  _getBundle = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(name, version) {
    var matchBy, params, res;
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            matchBy = [{
              field: 'name',
              opt: 'EQUAL',
              value: name
            }, {
              field: 'version',
              opt: 'EQUAL',
              value: version
            }];
            params = {
              condition: JSON.stringify({
                matchBy: matchBy
              }),
              curPage: 1,
              pageSize: 1
            };
            _context.next = 4;
            return _axios["default"].get(_helpers.URL.bundles(name), {
              params: params
            });

          case 4:
            res = _context.sent;

            if (!(res && res.data && res.data.data && res.data.data.datas)) {
              _context.next = 7;
              break;
            }

            return _context.abrupt("return", res.data.data.datas);

          case 7:
            return _context.abrupt("return", []);

          case 8:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _getBundle.apply(this, arguments);
}